package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * PvPowerStation对象 pv_power_station
 * 
 * @author hlf
 * @date 2022-07-11
 */
public class PvPowerStation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long pvStationNo;

    private Double ratingPower;

    private Double confirmPower;

    private Long inverterCnt;

    private Long junctionBoxCnt;

    private Long pvCellCnt;

    private Double longtitude;

    private Double latitude;

    private Double elevation;

    private Double poaSlopeAngle;

    private Double poaAzimuthAngle;

    private Double reflectionRatio;

    private Double tempCoeff;

    private Long apYcNo;

    private Long ghiYcNo;

    private Long dniYcNo;

    private Long dfiYcNo;

    private Long poaiYcNo;

    private Long temperatureYcNo;

    private Long panelTempYcNo;

    private Long humidityYcNo;

    private Long pressureYcNo;

    private Long wspeedYcNo;

    private Long wdirYcNo;

    private Double positiveError;

    private Double negativeError;

    private Double nwpLfA;

    private Long pcurveSampleCnt;

    private Double pcurveLfA;

    private Long pcurveInputFlag;

    private Long pcurveHlCnt;

    private Long uspSampleCnt;

    private Long corrSampleCnt;

    private Double gamma;

    private Double cost;

    private Double nu;

    private String spaceDim;

    private Long uspCorrectionFlag;

    private Double totalPower;

    private Double pccPower;

    private Double ghi;

    private Double dni;

    private Double dfi;

    private Double poai;

    private Double temperature;

    private Double panelTemperature;

    private Double humidity;

    private Double pressure;

    private Double windSpeed;

    private Double windDir;

    private Long inverterRunCnt;

    private Long inerterStopCnt;

    private Long invertFaultCnt;

    private Double totalEnergy;

    private Double lastTotalEnergy;

    private Double todayEnergy;

    private Long rtuNo;

    private String name;

    private String ref;

    private Date pcurveStatTime;

    private Date nwpCalcTime;

    private Date daPredictionTime;

    private Date daDayStatTime;

    private Date daMonthStatTime;

    private Date uspPredictionTime;

    private Date uspDayStatTime;

    private Date uspMonthStatTime;

    private Long areaNo;

    private String areaName;

    private String rtuTypeName;

    private String companyNo;

    private String itemVal;

    private String site;

    public void setPvStationNo(Long pvStationNo) 
    {
        this.pvStationNo = pvStationNo;
    }

    public Long getPvStationNo() 
    {
        return pvStationNo;
    }
    public void setRatingPower(Double ratingPower)
    {
        this.ratingPower = ratingPower;
    }

    public Double getRatingPower()
    {
        return ratingPower;
    }
    public void setConfirmPower(Double confirmPower) 
    {
        this.confirmPower = confirmPower;
    }

    public Double getConfirmPower() 
    {
        return confirmPower;
    }
    public void setInverterCnt(Long inverterCnt) 
    {
        this.inverterCnt = inverterCnt;
    }

    public Long getInverterCnt() 
    {
        return inverterCnt;
    }
    public void setJunctionBoxCnt(Long junctionBoxCnt) 
    {
        this.junctionBoxCnt = junctionBoxCnt;
    }

    public Long getJunctionBoxCnt() 
    {
        return junctionBoxCnt;
    }
    public void setPvCellCnt(Long pvCellCnt) 
    {
        this.pvCellCnt = pvCellCnt;
    }

    public Long getPvCellCnt() 
    {
        return pvCellCnt;
    }
    public void setLongtitude(Double longtitude) 
    {
        this.longtitude = longtitude;
    }

    public Double getLongtitude() 
    {
        return longtitude;
    }
    public void setLatitude(Double latitude) 
    {
        this.latitude = latitude;
    }

    public Double getLatitude() 
    {
        return latitude;
    }
    public void setElevation(Double elevation) 
    {
        this.elevation = elevation;
    }

    public Double getElevation() 
    {
        return elevation;
    }
    public void setPoaSlopeAngle(Double poaSlopeAngle) 
    {
        this.poaSlopeAngle = poaSlopeAngle;
    }

    public Double getPoaSlopeAngle() 
    {
        return poaSlopeAngle;
    }
    public void setPoaAzimuthAngle(Double poaAzimuthAngle) 
    {
        this.poaAzimuthAngle = poaAzimuthAngle;
    }

    public Double getPoaAzimuthAngle() 
    {
        return poaAzimuthAngle;
    }
    public void setReflectionRatio(Double reflectionRatio) 
    {
        this.reflectionRatio = reflectionRatio;
    }

    public Double getReflectionRatio() 
    {
        return reflectionRatio;
    }
    public void setTempCoeff(Double tempCoeff) 
    {
        this.tempCoeff = tempCoeff;
    }

    public Double getTempCoeff() 
    {
        return tempCoeff;
    }
    public void setApYcNo(Long apYcNo) 
    {
        this.apYcNo = apYcNo;
    }

    public Long getApYcNo() 
    {
        return apYcNo;
    }
    public void setGhiYcNo(Long ghiYcNo) 
    {
        this.ghiYcNo = ghiYcNo;
    }

    public Long getGhiYcNo() 
    {
        return ghiYcNo;
    }
    public void setDniYcNo(Long dniYcNo) 
    {
        this.dniYcNo = dniYcNo;
    }

    public Long getDniYcNo() 
    {
        return dniYcNo;
    }
    public void setDfiYcNo(Long dfiYcNo) 
    {
        this.dfiYcNo = dfiYcNo;
    }

    public Long getDfiYcNo() 
    {
        return dfiYcNo;
    }
    public void setPoaiYcNo(Long poaiYcNo) 
    {
        this.poaiYcNo = poaiYcNo;
    }

    public Long getPoaiYcNo() 
    {
        return poaiYcNo;
    }
    public void setTemperatureYcNo(Long temperatureYcNo) 
    {
        this.temperatureYcNo = temperatureYcNo;
    }

    public Long getTemperatureYcNo() 
    {
        return temperatureYcNo;
    }
    public void setPanelTempYcNo(Long panelTempYcNo) 
    {
        this.panelTempYcNo = panelTempYcNo;
    }

    public Long getPanelTempYcNo() 
    {
        return panelTempYcNo;
    }
    public void setHumidityYcNo(Long humidityYcNo) 
    {
        this.humidityYcNo = humidityYcNo;
    }

    public Long getHumidityYcNo() 
    {
        return humidityYcNo;
    }
    public void setPressureYcNo(Long pressureYcNo) 
    {
        this.pressureYcNo = pressureYcNo;
    }

    public Long getPressureYcNo() 
    {
        return pressureYcNo;
    }
    public void setWspeedYcNo(Long wspeedYcNo) 
    {
        this.wspeedYcNo = wspeedYcNo;
    }

    public Long getWspeedYcNo() 
    {
        return wspeedYcNo;
    }
    public void setWdirYcNo(Long wdirYcNo) 
    {
        this.wdirYcNo = wdirYcNo;
    }

    public Long getWdirYcNo() 
    {
        return wdirYcNo;
    }
    public void setPositiveError(Double positiveError) 
    {
        this.positiveError = positiveError;
    }

    public Double getPositiveError() 
    {
        return positiveError;
    }
    public void setNegativeError(Double negativeError) 
    {
        this.negativeError = negativeError;
    }

    public Double getNegativeError() 
    {
        return negativeError;
    }
    public void setNwpLfA(Double nwpLfA) 
    {
        this.nwpLfA = nwpLfA;
    }

    public Double getNwpLfA() 
    {
        return nwpLfA;
    }
    public void setPcurveSampleCnt(Long pcurveSampleCnt) 
    {
        this.pcurveSampleCnt = pcurveSampleCnt;
    }

    public Long getPcurveSampleCnt() 
    {
        return pcurveSampleCnt;
    }
    public void setPcurveLfA(Double pcurveLfA) 
    {
        this.pcurveLfA = pcurveLfA;
    }

    public Double getPcurveLfA() 
    {
        return pcurveLfA;
    }
    public void setPcurveInputFlag(Long pcurveInputFlag) 
    {
        this.pcurveInputFlag = pcurveInputFlag;
    }

    public Long getPcurveInputFlag() 
    {
        return pcurveInputFlag;
    }
    public void setPcurveHlCnt(Long pcurveHlCnt) 
    {
        this.pcurveHlCnt = pcurveHlCnt;
    }

    public Long getPcurveHlCnt() 
    {
        return pcurveHlCnt;
    }
    public void setUspSampleCnt(Long uspSampleCnt) 
    {
        this.uspSampleCnt = uspSampleCnt;
    }

    public Long getUspSampleCnt() 
    {
        return uspSampleCnt;
    }
    public void setCorrSampleCnt(Long corrSampleCnt) 
    {
        this.corrSampleCnt = corrSampleCnt;
    }

    public Long getCorrSampleCnt() 
    {
        return corrSampleCnt;
    }
    public void setGamma(Double gamma) 
    {
        this.gamma = gamma;
    }

    public Double getGamma() 
    {
        return gamma;
    }
    public void setCost(Double cost) 
    {
        this.cost = cost;
    }

    public Double getCost() 
    {
        return cost;
    }
    public void setNu(Double nu) 
    {
        this.nu = nu;
    }

    public Double getNu() 
    {
        return nu;
    }
    public void setSpaceDim(String spaceDim)
    {
        this.spaceDim = spaceDim;
    }

    public String getSpaceDim()
    {
        return spaceDim;
    }
    public void setUspCorrectionFlag(Long uspCorrectionFlag) 
    {
        this.uspCorrectionFlag = uspCorrectionFlag;
    }

    public Long getUspCorrectionFlag() 
    {
        return uspCorrectionFlag;
    }
    public void setTotalPower(Double totalPower) 
    {
        this.totalPower = totalPower;
    }

    public Double getTotalPower() 
    {
        return totalPower;
    }
    public void setPccPower(Double pccPower) 
    {
        this.pccPower = pccPower;
    }

    public Double getPccPower() 
    {
        return pccPower;
    }
    public void setGhi(Double ghi) 
    {
        this.ghi = ghi;
    }

    public Double getGhi() 
    {
        return ghi;
    }
    public void setDni(Double dni) 
    {
        this.dni = dni;
    }

    public Double getDni() 
    {
        return dni;
    }
    public void setDfi(Double dfi) 
    {
        this.dfi = dfi;
    }

    public Double getDfi() 
    {
        return dfi;
    }
    public void setPoai(Double poai) 
    {
        this.poai = poai;
    }

    public Double getPoai() 
    {
        return poai;
    }
    public void setTemperature(Double temperature) 
    {
        this.temperature = temperature;
    }

    public Double getTemperature() 
    {
        return temperature;
    }
    public void setPanelTemperature(Double panelTemperature) 
    {
        this.panelTemperature = panelTemperature;
    }

    public Double getPanelTemperature() 
    {
        return panelTemperature;
    }
    public void setHumidity(Double humidity) 
    {
        this.humidity = humidity;
    }

    public Double getHumidity() 
    {
        return humidity;
    }
    public void setPressure(Double pressure) 
    {
        this.pressure = pressure;
    }

    public Double getPressure() 
    {
        return pressure;
    }
    public void setWindSpeed(Double windSpeed) 
    {
        this.windSpeed = windSpeed;
    }

    public Double getWindSpeed() 
    {
        return windSpeed;
    }
    public void setWindDir(Double windDir) 
    {
        this.windDir = windDir;
    }

    public Double getWindDir() 
    {
        return windDir;
    }
    public void setInverterRunCnt(Long inverterRunCnt) 
    {
        this.inverterRunCnt = inverterRunCnt;
    }

    public Long getInverterRunCnt() 
    {
        return inverterRunCnt;
    }
    public void setInerterStopCnt(Long inerterStopCnt) 
    {
        this.inerterStopCnt = inerterStopCnt;
    }

    public Long getInerterStopCnt() 
    {
        return inerterStopCnt;
    }
    public void setInvertFaultCnt(Long invertFaultCnt) 
    {
        this.invertFaultCnt = invertFaultCnt;
    }

    public Long getInvertFaultCnt() 
    {
        return invertFaultCnt;
    }
    public void setTotalEnergy(Double totalEnergy) 
    {
        this.totalEnergy = totalEnergy;
    }

    public Double getTotalEnergy() 
    {
        return totalEnergy;
    }
    public void setLastTotalEnergy(Double lastTotalEnergy) 
    {
        this.lastTotalEnergy = lastTotalEnergy;
    }

    public Double getLastTotalEnergy() 
    {
        return lastTotalEnergy;
    }
    public void setTodayEnergy(Double todayEnergy) 
    {
        this.todayEnergy = todayEnergy;
    }

    public Double getTodayEnergy() 
    {
        return todayEnergy;
    }
    public void setRtuNo(Long rtuNo) 
    {
        this.rtuNo = rtuNo;
    }

    public Long getRtuNo() 
    {
        return rtuNo;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setRef(String ref) 
    {
        this.ref = ref;
    }

    public String getRef() 
    {
        return ref;
    }
    public void setPcurveStatTime(Date pcurveStatTime) 
    {
        this.pcurveStatTime = pcurveStatTime;
    }

    public Date getPcurveStatTime() 
    {
        return pcurveStatTime;
    }
    public void setNwpCalcTime(Date nwpCalcTime) 
    {
        this.nwpCalcTime = nwpCalcTime;
    }

    public Date getNwpCalcTime() 
    {
        return nwpCalcTime;
    }
    public void setDaPredictionTime(Date daPredictionTime) 
    {
        this.daPredictionTime = daPredictionTime;
    }

    public Date getDaPredictionTime() 
    {
        return daPredictionTime;
    }
    public void setDaDayStatTime(Date daDayStatTime) 
    {
        this.daDayStatTime = daDayStatTime;
    }

    public Date getDaDayStatTime() 
    {
        return daDayStatTime;
    }
    public void setDaMonthStatTime(Date daMonthStatTime) 
    {
        this.daMonthStatTime = daMonthStatTime;
    }

    public Date getDaMonthStatTime() 
    {
        return daMonthStatTime;
    }
    public void setUspPredictionTime(Date uspPredictionTime) 
    {
        this.uspPredictionTime = uspPredictionTime;
    }

    public Date getUspPredictionTime() 
    {
        return uspPredictionTime;
    }
    public void setUspDayStatTime(Date uspDayStatTime) 
    {
        this.uspDayStatTime = uspDayStatTime;
    }

    public Date getUspDayStatTime() 
    {
        return uspDayStatTime;
    }
    public void setUspMonthStatTime(Date uspMonthStatTime) 
    {
        this.uspMonthStatTime = uspMonthStatTime;
    }

    public Date getUspMonthStatTime() 
    {
        return uspMonthStatTime;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getRtuTypeName() {
        return rtuTypeName;
    }

    public void setRtuTypeName(String rtuTypeName) {
        this.rtuTypeName = rtuTypeName;
    }

    public String getCompanyNo() {
        return companyNo;
    }

    public void setCompanyNo(String companyNo) {
        this.companyNo = companyNo;
    }

    public String getItemVal() {
        return itemVal;
    }

    public void setItemVal(String itemVal) {
        this.itemVal = itemVal;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pvStationNo", getPvStationNo())
            .append("ratingPower", getRatingPower())
            .append("confirmPower", getConfirmPower())
            .append("inverterCnt", getInverterCnt())
            .append("junctionBoxCnt", getJunctionBoxCnt())
            .append("pvCellCnt", getPvCellCnt())
            .append("longtitude", getLongtitude())
            .append("latitude", getLatitude())
            .append("elevation", getElevation())
            .append("poaSlopeAngle", getPoaSlopeAngle())
            .append("poaAzimuthAngle", getPoaAzimuthAngle())
            .append("reflectionRatio", getReflectionRatio())
            .append("tempCoeff", getTempCoeff())
            .append("apYcNo", getApYcNo())
            .append("ghiYcNo", getGhiYcNo())
            .append("dniYcNo", getDniYcNo())
            .append("dfiYcNo", getDfiYcNo())
            .append("poaiYcNo", getPoaiYcNo())
            .append("temperatureYcNo", getTemperatureYcNo())
            .append("panelTempYcNo", getPanelTempYcNo())
            .append("humidityYcNo", getHumidityYcNo())
            .append("pressureYcNo", getPressureYcNo())
            .append("wspeedYcNo", getWspeedYcNo())
            .append("wdirYcNo", getWdirYcNo())
            .append("positiveError", getPositiveError())
            .append("negativeError", getNegativeError())
            .append("nwpLfA", getNwpLfA())
            .append("pcurveSampleCnt", getPcurveSampleCnt())
            .append("pcurveLfA", getPcurveLfA())
            .append("pcurveInputFlag", getPcurveInputFlag())
            .append("pcurveHlCnt", getPcurveHlCnt())
            .append("uspSampleCnt", getUspSampleCnt())
            .append("corrSampleCnt", getCorrSampleCnt())
            .append("gamma", getGamma())
            .append("cost", getCost())
            .append("nu", getNu())
            .append("spaceDim", getSpaceDim())
            .append("uspCorrectionFlag", getUspCorrectionFlag())
            .append("totalPower", getTotalPower())
            .append("pccPower", getPccPower())
            .append("ghi", getGhi())
            .append("dni", getDni())
            .append("dfi", getDfi())
            .append("poai", getPoai())
            .append("temperature", getTemperature())
            .append("panelTemperature", getPanelTemperature())
            .append("humidity", getHumidity())
            .append("pressure", getPressure())
            .append("windSpeed", getWindSpeed())
            .append("windDir", getWindDir())
            .append("inverterRunCnt", getInverterRunCnt())
            .append("inerterStopCnt", getInerterStopCnt())
            .append("invertFaultCnt", getInvertFaultCnt())
            .append("totalEnergy", getTotalEnergy())
            .append("lastTotalEnergy", getLastTotalEnergy())
            .append("todayEnergy", getTodayEnergy())
            .append("rtuNo", getRtuNo())
            .append("name", getName())
            .append("ref", getRef())
            .append("pcurveStatTime", getPcurveStatTime())
            .append("nwpCalcTime", getNwpCalcTime())
            .append("daPredictionTime", getDaPredictionTime())
            .append("daDayStatTime", getDaDayStatTime())
            .append("daMonthStatTime", getDaMonthStatTime())
            .append("uspPredictionTime", getUspPredictionTime())
            .append("uspDayStatTime", getUspDayStatTime())
            .append("uspMonthStatTime", getUspMonthStatTime())
            .toString();
    }
}
